/*
 * Filename: NSActionCell.h
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: A cell which can send messages to its target when it's being
 *           clicked
 *
 * Author:   Pascal Forget
 * Date:     March 1996
 *
 * Copyright (C) 1996 Free Software Foundation, Inc.
 */

#ifndef NSACTIONCELL_H__
#define NSACTIONCELL_H__

#include "NSCell.h"

@interface NSActionCell : NSCell
{
    NSView *_controlView;
    SEL action;
    id target;
    int tag;
}

- (SEL)action;
- (NSView *)controlView;
- (void)drawInteriorWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (void)setAction:(SEL)aSelector;
- (void)setBezeled:(BOOL)flag;
- (void)setBordered:(BOOL)flag;
- (void)setEnabled:(BOOL)flag;
- (void)setStringValue:(NSString *)aString;
- (void)setTag:(int)anInt;
- (void)setTarget:(id)anObject;
- (NSString *)stringValue;
- (int)tag;
- (id)target;

@end
#endif
