/*
 * Filename: NSButton.h
 * Project:  Pascal's X Kit
 * Module:   Basic application components
 *
 * Function: This is the Button class
 *
 * Author:   Pascal Forget
 * Date:     August 1995 - March 1996, February 1997
 *
 * Copyright (C) 1997 Pascal Forget
 */

#ifndef NSBUTTON_H__
#define NSBUTTON_H__
#include "NSImage.h"
#include "NSWindow.h"
#include "NSControl.h"
#include "NSGlobal.h"

@interface NSButton : NSControl
{
    BOOL continuous;
}

+ (Class)cellClass;
+ (void)setCellClass:(Class)classId;

- (void)setState:(int)value;
- (void)setType:(int)aType;

- (NSImage *)alternateImage;
- (NSString *)alternateTitle;
- (void)getPeriodicDelay:(float *)delay interval:(float *)interval;
- (void)highlight:(BOOL)flag;
- (NSImage *)image;
- (NSCellImagePosition)imagePosition;
- (BOOL)isBordered;
- (BOOL)isTransparent;
- (void)performClick:(id)sender;
- (void)setAlternateImage:(NSImage *)anImage;
- (void)setAlternateTitle:(NSString *)aString;
- (void)setBordered:(BOOL)flag;
- (void)setImage:(NSImage *)anImage;
- (void)setImagePosition:(NSCellImagePosition)aPosition;
- (void)setPeriodicDelay:(float)delay interval:(float)interval;
- (void)setTitle:(NSString *)aString;
- (void)setTransparent:(BOOL)flag;
- (NSString *)title;

@end
#endif
