/*
 * Filename: NSButtonCell.h
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: GNUstep compatible NSButtonCell class.
 *
 * Author:   Pascal Forget
 * Date:     January 1997
 *
 * Copyright (C) 1997 Pascal Forget
 */

#ifndef NSBUTTONCELL_H__
#define NSBUTTONCELL_H__

#include "NSActionCell.h"

@interface NSButtonCell : NSActionCell
{
    NSString *title;
    NSString *altTitle;
    NSImage *altImage;
    NSCellImagePosition imagePosition;
    float periodicDelay;
    float periodicInterval;
    NSString *keyEquivalent;
    NSFont *keyEquivalentFont;
    unsigned int keyEquivalentModifierMask;
    NSButtonType buttonType; // Make this public...
    int highlightsBy;
    int showsStateBy;
}

- (NSImage *)alternateImage;
- (NSString *)alternateTitle;
- (void)getPeriodicDelay:(float *)delay interval:(float *)interval;
- (int)highlightsBy;
- (NSCellImagePosition)imagePosition;
- (BOOL)isTransparent;
- (NSString *)keyEquivalent;
- (NSFont *)keyEquivalentFont;
- (unsigned int)keyEquivalentModifierMask;
- (void)performClick:(id)sender;
- (void)setAlternateImage:(NSImage *)anImage;
- (void)setAlternateTitle:(NSString *)aString;
- (void)setHighlightsBy:(int)aType;
- (void)setImagePosition:(NSCellImagePosition)aPosition;
- (void)setKeyEquivalent:(NSString *)aKeyEquivalent;
- (void)setKeyEquivalentFont:(NSFont *)fontObj;
- (void)setKeyEquivalentFont:(NSString *)fontName size:(float)fontSize;
- (void)setKeyEquivalentModifierMask:(unsigned int)mask;
- (void)setPeriodicDelay:(float)delay interval:(float)interval;
- (void)setShowsStateBy:(int)aType;
- (void)setState:(int)anInt;
- (void)setTitle:(NSString *)aString;
- (void)setTransparent:(BOOL)flag;
- (void)setType:(NSButtonType)aType;
- (int)showsStateBy;
- (int)state;
- (NSString *)title;

// Ugh
- (NSButtonType)buttonType;

@end
#endif
