/* 
   NSCStringText.h

   The c-string text headerfile

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  ANOQ of the Sun <anoq@vip.cybercity.dk>
   Date: 1997
   
   This file is part of NSXKit.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _NSXKit_H_NSCStringText
#define _NSXKit_H_NSCStringText

typedef struct _NSCStringTextInternalState
{
  const NSFSM *breakTable;
  const NSFSM *clickTable;
  const unsigned char *preSelSmartTable;
  const unsigned char *postSelSmartTable;
  const unsigned char *charCategoryTable;
  char delegateMethods;
  //NSCharFilterFunc charFilterFunc;
  NSTextFilterFunc textFilterFunc;
  NSString *_string;
  //NSTextFunc scanFunc;
  //NSTextFunc drawFunc;
  id delegate;
  int tag;
  void *cursorTE;
  NSTextBlock *firstTextBlock;
  NSTextBlock *lastTextBlock;
  //FIXME: Incomplete
}

#endif //_NSXKit_H_NSCStringText