/*
 * Filename: NSErrors.h
 * Project:  Pascal's OpenStep Application Kit for X-Windows
 * Module:   Exceptions types and constants
 *
 * Function: The following global strings identify the exceptions
 *           returned by various operations in the Application Kit.
 *
 * Author:   Pascal Forget <pascal@wsc.com>
 * Date:     January 1996
 *
 * Copyright (C) 1996 Pascal Forget.  All Rights Reserved.
 */

#ifndef NSERRORS_H__
#define NSERRORS_H__

extern NSString *NSAbortModalException;

extern NSString *NSAbortPrintingException;

extern NSString *NSAppKitIgnoredException;

extern NSString *NSAppKitVirtualMemoryException;

extern NSString *NSBadBitmapParametersException;

extern NSString *NSBadComparisonException;

extern NSString *NSBadRTFColorTableException;

extern NSString *NSBadRTFDirectiveException;

extern NSString *NSBadRTFFontTableException;

extern NSString *NSBadRTFStyleSheetException;

extern NSString *NSBrowserIllegalDelegateException;

extern NSString *NSColorListIOException;

extern NSString *NSColorListNotEditableException;

extern NSString *NSDraggingException;

extern NSString *NSFontUnavailableException;

extern NSString *NSIllegalSelectorException;

extern NSString *NSImageCacheException;

extern NSString *NSNibLoadingException;

extern NSString *NSPPDIncludeNotFoundException;

extern NSString *NSPPDParseException;

extern NSString *NSPasteboardCommunicationException;

/* NSString *NSPrintOperationExistsException;(defined in NSPrintOperation.h) */

extern NSString *NSPrintPackageException;

extern NSString *NSPrintingCommunicationException;

extern NSString *NSRTFPropertyStackOverflowException;

extern NSString *NSTIFFException;

extern NSString *NSTextLineToolLongException;

extern NSString *NSTextNoSelectionException;

extern NSString *NSTextReadException;

extern NSString *NSTextWriteException;

extern NSString *NSTypedStreamVersionException;

extern NSString *NSWindowServerCommunicationException;

extern NSString *NSWordTablesReadException;

extern NSString *NSWordTablesWriteException;

#endif
