/*
 * Filename: NSFont.h
 * Project:  Pascal's X Kit
 * Module:   Basic application components
 *
 * Function: This a skeleton of the Font class
 *
 * Author:   Pascal Forget
 * Date:     January 1997
 *
 * Note:     This class is a cover for X window fonts.
 *           It's a functional hack.
 *
 * Copyright (C) 1997 Pascal Forget.  All Rights Reserved.
 */

#ifndef NSFONT_H__
#define NSFONT_H__

#include "NSGlobal.h"

@interface NSFont : NSObject
{
    NSString *displayName;
    NSString *familyName;
    NSString *fontName;
    BOOL isBaseFont;
    int _pointSize;
    float *matrix;
    id printerFont;
    id screenFont;
    float *widths;
    BOOL bold;     //
    BOOL italic;   // Non-standard stuff. See NSGlobal.h NSItalicFontMask
    BOOL narrow;   //
}

+ (NSFont *)boldSystemFontOfSize:(int)fontSize;
+ (NSFont *)fontWithName:(NSString *)aString size:(int)fontSize;
+ (NSFont *)systemFontOfSize:(int)fontSize;
+ (NSFont *)userFixedPitchFontOfSize:(int)fontSize;
+ (NSFont *)userFontOfSize:(int)fontSize;

- (NSString* )displayName;
- (NSString* )familyName;
- (NSString *)fontName;
- (BOOL)isBaseFont;
- (int)pointSize;
- (NSFont *)printerFont;
- (NSFont *)screenFont;
- (void)set;
- (float)widthOfString:(NSString *)string;
- (float *)widths;
@end

@interface NSFont (NonStandard)
+ (NSFont *)currentFont;
- (BOOL)isBold;
- (BOOL)isItalic;
- (BOOL)isNarrow;
@end

#endif






