/*
 * Filename: NSResponder.h
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: OpenStep compliant implementation of the NSResponder class
 *
 * Author:   Pascal Forget
 * Date:     January 1996
 *
 * Copyright (C) 1995 Pascal Forget
 * All Rights Reserved
 */

#ifndef NSRESPONDER_H__
#define NSRESPONDER_H__

#include "NSGlobal.h"
#include "NSEvent.h"

@interface NSResponder : NSObject
{
    BOOL isFirstResponder;
    id nextResponder;
}

- (BOOL)acceptsFirstResponder;
- (BOOL)becomeFirstResponder;
- (void)flagsChanged:(NSEvent *)theEvent; 
- (void)helpRequested:(NSEvent *)theEvent; 
- (void)keyDown:(NSEvent *)theEvent; 
- (void)keyUp:(NSEvent *)theEvent;
- (void)mouseDown:(NSEvent *)theEvent;
- (void)mouseDragged:(NSEvent *)theEvent;
- (void)mouseEntered:(NSEvent *)theEvent;
- (void)mouseExited:(NSEvent *)theEvent;
- (void)mouseMoved:(NSEvent *)theEvent;
- (void)mouseUp:(NSEvent *)theEvent;
- (NSResponder *)nextResponder;
- (void)noResponderFor:(SEL)eventSelector;
- (BOOL)performKeyEquivalent:(NSEvent *)theEvent;
- (BOOL)resignFirstResponder;
- (void)rightMouseDown:(NSEvent *)theEvent;
- (void)rightMouseDragged:(NSEvent *)theEvent;
- (void)rightMouseUp:(NSEvent *)theEvent;
- (void)setNextResponder:(NSResponder *)aResponder;
- (BOOL)tryToPerform:(SEL)anAction with:(id)anObject;
- (id)validRequestorForSendType:(NSString *)typeSent
		     returnType:(NSString *)typeReturned;

@end
#endif
