/* 
   NSScreen.h

   Headerfile for screen-class

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Scott Christley <scottc@net-community.com>
   Date: 1996
   Modified by: ANOQ of the Sun <anoq@vip.cybercity.dk>
   Date: April 1997
   
   This file is part of the NSXKit.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _NSXKit_H_NSScreen
#define _NSXKit_H_NSScreen

#include "NSGlobal.h"
#include <Foundation/NSDictionary.h>

@interface NSScreen : NSObject

{
  // Attributes
  NSMutableDictionary *device_desc;

  // Reserved for backend use
  void *be_screen_reserved;
}

//
// Creating NSScreen Instances
//
+ (NSScreen *)mainScreen;
+ (NSScreen *)deepestScreen;
+ (NSArray *)screens;

//
// Reading Screen Information
//
- (NSWindowDepth)depth;
- (NSRect)frame;
- (NSDictionary *)deviceDescription;

@end

#endif // _NSXKit_H_NSScreen
