/* 
   NSStringDrawing.h

   Headerfile for AppKit additions for NSString class

   Copyright (C) 1997 Free Software Foundation, Inc.

   Written by: ANOQ of the Sun <anoq@vip.cybercity.dk>
   Date: Novmeber 1997
   
   This file is part of NSXKit

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _NSXKit_H_NSStringAdd
#define _NSXKit_H_NSStringAdd

#include <Foundation/NSString.h>
#include <Foundation/NSGeometry.h>

@interface NSString (NSStringAdditions)

- (void)drawAtPoint:(NSPoint)aPoint withAttributes:(NSDictionary *)attributes;
- (void)drawInRect:(NSRect)aRect withAttributes:(NSDictionary *)attributes;
- (NSSize)sizeWithAttributes:(NSDictionary *)attributes;

@end//interface NSString (NSStringAdditions)

#endif _NSXKit_H_NSStringAdd