/*
 * Filename: NSTextField.h
 * Project:  Pascal's X Kit
 * Module:   Basic application components
 *
 * Function: This is the TextField class.  A Text field is a control in
 *           which the user can type / edit text strings.
 *
 * Author:   Pascal Forget
 * Date:     August 1995
 *
 * Modified: March 1996
 * By:       Pascal Forget
 * Changes:  Made OpenStep compliant, moved lots into NSTextFieldCell
 *           where it belongs
 *
 * Copyright (C) 1996 Free Software Foundation, Inc.
 */

#ifndef NSTEXTFIELD_H__
#define NSTEXTFIELD_H__

#include "NSControl.h"

@interface NSTextField : NSControl
{
    BOOL isBeingEdited;
    SEL errorAction;
}

- (BOOL)acceptsFirstResponder;
- drawSelf;
- drawBorder;
- (SEL)errorAction;
- (int)intValue;
- (BOOL)isEditable;
- (BOOL)isSelectable;
- (double)floatValue;
- (double)doubleValue;
- (void)setEditable:(BOOL)flag;
- (void)setErrorAction:(SEL)aSelector;
- (void)setSelectable:(BOOL)flag;

@end
#endif
