/*
 * Filename: NSTextFieldCell.h
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: As per OpenStep specification
 *
 * Author:   Pascal Forget
 * Date:     January 1996
 *
 * Copyright (C) 1996 Pascal Forget.  All Rights Reserved
 */

#ifndef NSTEXTFIELDCELL_H__
#define NSTEXTFIELDCELL_H__

#include "NSActionCell.h"

@interface NSTextFieldCell : NSActionCell
{
    NSColor *backgroundColor;
    BOOL drawsBackground;
    NSColor *textColor;
}

- (NSColor *)backgroundColor;
- (BOOL)drawsBackground;
- (void)setBackgroundColor:(NSColor *)aColor;
- (void)setDrawsBackground:(BOOL)flag;
- (void)setTextColor:(NSColor *)aColor;
- (id)setUpFieldEditorAttributes:(id)textObject; /* Not implemented yet */
- (NSColor *)textColor;

@end
#endif
