/* 
   NSTextPrivate.h

   Private part of the text object

   Copyright (C) 1997 Free Software Foundation, Inc.

   Author:  ANOQ of the Sun <anoq@vip.cybercity.dk>
   Date: November 1997
   
   This file is part of the NSXKit.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef _NSXKit_H_NSTextPrivate
#define _NSXKit_H_NSTextPrivate

#include "NSText.h"

  //Private function for freeing an NSTextChunk - why isn't this a part of
  //the OpenStep specification?
void NSChunkZoneFree(NSTextChunk *pc,NSZone *zone);

  //Private function for freeing an NSTextChunk - why isn't this a part of
  //the OpenStep specification?
void NSChunkFree(NSTextChunk *pc);

//Private functions for dealing with NSTextBlocks
NSTextBlock *allocNSTextBlock(void);
void freeNSTextBlock(NSTextBlock *block);
void setStringInNSTextBlock(NSTextBlock *block,char *str,short size);
void insertNSTextBlockBetween(NSTextBlock *newBlock,NSTextBlock *beforeBlock,NSTextBlock *afterBlock);
void removeNSTextBlock(NSTextBlock *block);
void freeListFromNSTextBlock(NSTextBlock *block);

  //Private functions for NSLayInfo...
NSLayInfo *allocNSLayInfo(void);
void freeNSLayInfo(NSLayInfo *layInfo);

  //Calculates linebreaks for an NSTextBlock-list
int pxkCalcLineBreaks(NSLayInfo *layInfo,NSRun *run,NSTextBlock *firstTextBlock,NSBreakArray *breakArray);
int pxkCalcTextStorageLineBreaks(NSTextStorage *textStorage,NSBreakArray *breakArray,NSSize size);

#endif // _NSXKit_H_NSTextPrivate
