/*
 * Filename: PXKActionCell.h
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: A cell which can send messages to its target when it's being
 *           clicked
 *
 * Author:   Pascal Forget
 * Date:     November 1995
 *
 * Copyright (C) 1995 Pascal Forget. All Rights Reserved.
 */

#ifndef PXKACTIONCELL_H__
#define PXKACTIONCELL_H__

#include "PXKCell.h"

@interface PXKActionCell : PXKCell
{
    PXKString *stringValue;
    int state;
    PXKImage *image;
    PXKView *_controlView;
    SEL action;
    id target;
    int tag;
    BOOL isBezeled;
    BOOL isBordered;
    BOOL isContinuous;
    BOOL isEditable;
    BOOL isEnabled;
    BOOL isOpaque;
    BOOL isScrollable;
    BOOL isSelectable;
    BOOL wraps;
}

- (SEL)action;
- (PXKView *)controlView;
- (void)drawInteriorWithFrame:(PXKRect)cellFrame inView:(PXKView *)controlView;
- (void)drawWithFrame:(PXKRect)cellFrame inView:(PXKView *)controlView;
- (BOOL)isBezeled;
- (BOOL)isBordered;
- (BOOL)isContinuous;
- (BOOL)isEditable;
- (BOOL)isEnabled;
- (BOOL)isOpaque;
- (BOOL)isScrollable;
- (BOOL)isSelectable;
- (void)setAction:(SEL)aSelector;
- (void)setBezeled:(BOOL)flag;
- (void)setBordered:(BOOL)flag;
- (void)setContinuous:(BOOL)flag;
- (void)setEditable:(BOOL)flag;
- (void)setEnabled:(BOOL)flag;
- (void)setOpaque:(BOOL)flag;
- (void)setScrollable:(BOOL)flag;
- (void)setSelectable:(BOOL)flag;
- (void)setState:(int)value;
- (void)setStringValue:(PXKString *)aString;
- (void)setTag:(int)anInt;
- (void)setTarget:(id)anObject;
- (void)setWraps:(BOOL)flag;
- (int)state;
- (PXKString *)stringValue;
- (int)tag;
- (id)target;
- (PXKRect)titleRectForBounds:(PXKRect)theRect;
- (BOOL)wraps;

@end
#endif
