/*
 * Filename: PXKEventFactory.h
 * Project:  NSXKit
 * Module:   Drawing Engine
 *
 * Function: This bunch of Objective-C functions (not methods)
 *           provide NSEvents on demand by getting X events
 *           and converting them into NSEvents
 *
 * Author:   Pascal Forget
 * Date:     January 1996
 *
 * Copyright (C) 1996 Pascal Forget.  All Rights Reserved
 */

#ifndef PXKEVENTFACTORY_H__
#define PXKEVENTFACTORY_H__

#include "NSEvent.h"
#include "NSGlobal.h"

NSEvent *
currentEvent(void);

NSEvent *
nextEvent(void);

#if 0

void
discardsEventsMatchingMaskBeforeEvent(unsigned int mask, NSEvent *lastEvent);

NSEvent *
nextEventMatchingMaskUntilDateInModeDequeue(unsigned int mask,
					    NSDate *expiration,
					    NSString *mode,
					    BOOL flag);

void
postEventAtStart(NSEvent *event, BOOL flag);
#endif

#endif /*  include file stub */
