/*
 * Filename: PXKList.h
 * Project:  Pascal's X Kit
 * Module:   Basic application components
 *
 * Function: Quick and dirty list class
 *
 * Author:   Pascal Forget <pascal@wsc.com>
 * Date:     August 1995
 *
 * Modified: January 1996
 * By:       Graciela Cabrejo
 * Changes:  The List now shrinks when the capacity is 3 times larger
 *           than the objects count.  See removeObjectAtIndex: for
 *           the implementation.
 *
 * Copyright (C)1996 Pascal Forget. All Rights Reserved.
 */

#ifndef PXKLIST_H__
#define PXKLIST_H__

#include <Foundation/NSObject.h>
#include <stdio.h>

#define PXK_NOT_IN_LIST 2099999999

@interface PXKList : NSObject
{
    id *objects;
    unsigned int count;
    unsigned int capacity;
}

- addObject:newObject;
- (void)addObjectsFromArray:(id)otherArray;
- appendList:aList;
- (unsigned int)count;
- empty;
- firstObject;
- (unsigned int)indexOfObject:object;
- initWithCapacity:(unsigned int)newCapacity;
- lastObject;
- makeObjectsPerform:(SEL)aSel;
- objectAtIndex:(unsigned int)index;
- removeAllObjects; /* calls empty */
- removeLastObject;
- removeObjectAtIndex:(unsigned int)index;
- removeObject:object;
- replaceObjectAtIndex:(unsigned int)index with:newObject;
- (void)replaceObjectAtIndex:(unsigned int)index withObject:newObject;

@end

#endif
