/* 
   NSGTextStorage.m

   Implementation of textstorage-class

   Copyright (C) 1997 Free Software Foundation, Inc.

   Written by: ANOQ of the Sun <anoq@vip.cybercity.dk>
   Date: November 1997
   
   This file is part of NSXKit

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "NSGTextStorage.h"

@implementation NSGTextStorage

- (id)initWithString:(NSString *)aString attributes:(NSDictionary *)attributes
{
  self = [super initWithString:aString attributes:attributes];
  _contents =
    [[NSMutableAttributedString alloc]
      initWithString:aString attributes:attributes];
  return self;
}

- (id)initWithAttributedString:(NSAttributedString *)attributedString
{
  //FIXME: This is WRONG and VERY BAD! See the FIXME (3) note in NSAttributedString.m

  self = [super initWithString:nil attributes:nil];
  _contents = 
    [[NSMutableAttributedString alloc]
      initWithAttributedString:attributedString];
  return self;
}

- (void)dealloc
{
  if(_contents)
    [_contents release];
  [super dealloc];
}

- (NSString *)string
{
  return [_contents string];
}

- (NSDictionary *)attributesAtIndex:(unsigned int)index effectiveRange:(NSRange *)aRange
{
  return [_contents attributesAtIndex:index effectiveRange:aRange];
}

- (void)replaceCharactersInRange:(NSRange)aRange withString:(NSString *)aString
{
  [_contents replaceCharactersInRange:aRange withString:aString];
  [self
    edited:NSTextStorageEditedCharacters
    range:aRange
    changeInLength:[aString length] - aRange.length];
}

- (void)setAttributes:(NSDictionary *)attributes range:(NSRange)aRange
{
  [_contents setAttributes:attributes range:aRange];
  [self
    edited:NSTextStorageEditedAttributes
    range:aRange
    changeInLength:0];
}

@end//implementation NSGTextStorage