/*
 * Filename: NSTextFieldCell.m
 * Project:  Pascal's X Kit
 * Module:   Basic components
 *
 * Function: See header file for a description of the class
 *
 * Author:   Pascal Forget
 * Date:     January-March 1996
 *
 * Copyright (C) 1996 Free Software Foundation, Inc.
 */

#include "NSTextFieldCell.h"

@implementation NSTextFieldCell

- (NSColor *)backgroundColor;
{
    return backgroundColor;
}

- (BOOL)drawsBackground;
{
    return drawsBackground;
}

- init;
{
    [super init];
    backgroundColor = [NSColor whiteColor];
    textColor = [NSColor blackColor];
    drawsBackground = YES;
    return self;
}

- (void)setBackgroundColor:(NSColor *)aColor;
{
    backgroundColor = aColor;
}

- (void)setDrawsBackground:(BOOL)flag;
{
    drawsBackground = flag;
}

- (void)setTextColor:(NSColor *)aColor;
{
    textColor = aColor;
}

- (id)setUpFieldEditorAttributes:(id)textObject; /* Not implemented yet */
{
    return nil;
}

- (NSColor *)textColor;
{
    return textColor;
}

@end

