/* 
   buttons.m

   All of the various NSButtons

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Scott Christley <scottc@net-community.com>
   Date: June 1996
   
   This file is part of the GNUstep GUI X/DPS Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/ 

#include <Foundation/NSAutoreleasePool.h>
#include "NSGlobal.h"
#include "NSApplication.h"
#include "NSWindow.h"
#include "NSButton.h"

int
main(int argc, char **argv, char** env)
{
    NSApplication *theApp;
    NSWindow *win;
    NSRect wf = {{100.0, 100.0}, {400.0, 400.0}};
    NSView *v;
    id pool = [NSAutoreleasePool new];
    NSView* anotherView;

    NSButton *mpush, *ponpoff, *toggle, *swtch, *radio, *mchange, *onoff;
    NSRect bf0 = {{5.0, 5.0}, {200.0, 50.0}};
    NSRect bf1 = {{5.0, 65.0}, {90.0, 45.0}};
    NSRect bf2 = {{5.0, 115.0}, {90.0, 26.0}};
    NSRect bf3 = {{5.0, 170.0}, {200.0, 26.0}};
    NSRect bf4 = {{5.0, 225.0}, {200.0, 26.0}};
    NSRect bf5 = {{5.0, 280.0}, {200.0, 50.0}};
//    NSRect bf6 = {{5, 335}, {200.0, 50.0}};
    NSRect bf6 = {{10.0, 10.0}, {200.0, 50.0}};
    NSRect anotherViewFrame = {{5.0, 335.0}, {240.0, 75.0}};

#if LIB_FOUNDATION_LIBRARY
  [NSProcessInfo initializeWithArguments:argv count:argc environment:env];
#endif

#ifndef NX_CURRENT_COMPILER_RELEASE
    // initialize_gnustep_backend();
#endif


    //NSLog(@"Create the buttons\n");
    mpush = [[NSButton alloc] initWithFrame: bf0];
    [mpush setTitle: @"MomentaryPush"];

    ponpoff = [[NSButton alloc] initWithFrame: bf1];
    [ponpoff setType:NSToggleButton];
    [ponpoff setTitle: @"Toggle"];
    [ponpoff setAlternateTitle: @"Alternate"];
    [ponpoff setImage:[NSImage imageNamed:@"common_SwitchOff"]];
    [ponpoff setAlternateImage:[NSImage imageNamed:@"common_SwitchOn"]];
    [ponpoff setImagePosition:NSImageAbove];
    [ponpoff setAlignment:NSCenterTextAlignment];

    toggle = [[NSButton alloc] initWithFrame: bf2];
    [toggle setType: NSToggleButton];
    [toggle setTitle: @"Toggle"];

    swtch = [[NSButton alloc] initWithFrame: bf3];
    [swtch setType: NSSwitchButton];
    [swtch setBordered: NO];
    [swtch setTitle: @"Switch"];
    [swtch setAlternateTitle: @"Alternate"];

    radio = [[NSButton alloc] initWithFrame: bf4];
    [radio setType: NSRadioButton];
    [radio setBordered: NO];
    [radio setTitle: @"Radio"];
    [radio setAlternateTitle: @"Alternate"];

    mchange = [[NSButton alloc] initWithFrame: bf5];
    [mchange setType: NSMomentaryChangeButton];
    [mchange setTitle: @"MomentaryChange"];
//    [mchange setAlternateTitle: @"Alternate"];

//    anotherView = [[NSView alloc] initWithFrame:anotherViewFrame];

    onoff = [[NSButton alloc] initWithFrame: bf6];
    [onoff setType: NSOnOffButton];
    [onoff setTitle: @"OnOff"];

    initializeDrawingEngine();

    theApp = [NSApplication sharedApplication];

#if 1
    win = [[NSWindow alloc]
		initWithContentRect:wf
		styleMask:NSTitledWindowMask
		backing:NSBackingStoreNonretained
		defer:NO];
#else
    win = [[NSWindow alloc] init];
#endif
    [win setFrame: wf display: YES];
    [win setTitle:@"GNUstep Buttons"];
//    [win makeKeyAndOrderFront:nil];

    v = [win contentView];


    //NSLog(@"Make the buttons subviews\n");
    [v addSubview: mpush];
    [v addSubview: ponpoff];
    [v addSubview: toggle];
    [v addSubview: swtch];
    [v addSubview: radio];
    [v addSubview: mchange];
//    [v addSubview: onoff];
//    [v addSubview:anotherView];
//    [anotherView addSubview:onoff];


// these displays should not be necessary!!
    [win display];

    //NSLog(@"Start the application\n");

    [theApp setMainWindow: win];
    [theApp run];

    [pool release];
    return 0;
}
