/*
 * Filename: ns_main.m
 * Project:  Pascal's NSX Kit
 *
 * Author:   Pascal Forget
 * Date:     January 1996
 *
 * Copyright (C) 1996 Pascal Forget. All Rights Reserved.
 */
#include "ns_main.h"
#include "PXKList.h"
#include "PXKDrawingEngine.h"

int
main(int argc, char **argv)
{
    int win;
    NSRect rect;
    int i;
    
    initializeDrawingEngine();

    /* Create a new window */
    
    win = createWindow();
    displayWindow(win);
    
    /* Move the window to a new location and set its size */
    
    rect.origin.x = 200;
    rect.origin.y = 400;
    rect.size.width = 400;
    rect.size.height = 300;
		      
    setWindowFrame(win, rect);

    /* Display the window */

    displayWindow(win);

    sleep(2);

    /* Resize the window */

    printf("Heightening window\n");

    for (i=0; i<4; i++ ) {
	rect.size.height += 50;
	setWindowFrameSize(win, rect.size);
	displayWindow(win);
	sleep(1);
    }
    printf("done.\n");    

    sleep(1);
    printf("Widening window\n");
    
    for (i=0; i<4; i++ ) {
	rect.size.width += 50;
	setWindowFrameSize(win, rect.size);
	displayWindow(win);
	sleep(1);
    }
    printf("done.\n");
    
    sleep(1);

    /* Move and resize at the same time */

    printf("Moving and resizing window\n");
    
    for (i=0; i<200; i+=50) {
	rect.origin.x = 100 + i;
	rect.origin.y = 300 + i;
	rect.size.width = 400 + i;
	rect.size.height = 200 + i;

	setWindowFrame(win, rect);
	displayWindow(win);

	sleep(1);
    }

    printf("done.\n");    
    
    return 0;
}
