/*
 * Filename: misc.m
 * Project:  Pascal's X kit
 * Module:   None
 *
 * Function: Misc. functions
 *
 * Author:   Stuart Croy
 * Date:     March 97
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "misc.h"

/*
 * Print out debugging messages
 */
void msg(char *format, ...) {
  va_list arg;
  va_start(arg,format);
  vfprintf(stderr, format, arg);
  va_end(arg);
}

/*
 * print an error message and die
 */
void error(char *format, ...) {
  va_list arg;
  va_start(arg,format);
  fprintf(stderr,"NSXKit error:\n");
  vfprintf(stderr, format, arg);
  va_end(arg);
  exit(EXIT_FAILURE);
}
