/* 
   testNSText.m

   Small example to test the NSText and related classes

   Copyright (C) 1997 Free Software Foundation, Inc.

   Written by: ANOQ of the sun <anoq@vip.cybercity.dk>
   Date: November 1997
   
   This file is part of NSXKit

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   If you are interested in a warranty or support for this source code,
   contact Scott Christley <scottc@net-community.com> for more information.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "NSWindow.h"
#include "NSApplication.h"
#include "NSText.h"

NSText *addText1(NSView *view)
{
    NSRect rect = NSMakeRect(10,10,150,150);
    NSText *theText = [[NSText alloc] initWithFrame: rect];
    
    [theText setText:@"TextTest... This is some text, which should show off some wordwrapping. And here is some more text to test if it works with many lines of text! And now:\nLinefeed!"];
    [theText setTextColor:[NSColor redColor] range:NSMakeRange(25,4)];
    [theText setTextColor:[NSColor blueColor] range:NSMakeRange(58,12)];
    
    [view addSubview: theText];

    return theText;
}

NSText *addText2(NSView *view)
{
    NSRect rect = NSMakeRect(200,10,150,150);
    NSText *theText = [[NSText alloc] initWithFrame: rect];
    
    [theText setText:@"Multi-color, multi-font, multi-line text is now possible with NSText in NSXKit!\nHappy hacking!\n\n- ANOQ of the Sun"];
    [theText setTextColor:[NSColor blueColor] range:NSMakeRange(6,1)];
    [theText setTextColor:[NSColor redColor] range:NSMakeRange(7,1)];
    [theText setTextColor:[NSColor cyanColor] range:NSMakeRange(8,1)];
    [theText setTextColor:[NSColor orangeColor] range:NSMakeRange(9,1)];
    [theText setTextColor:[NSColor greenColor] range:NSMakeRange(10,1)];
    [theText setFont:[NSFont fontWithName:@"Helvetica" size:20] range:NSMakeRange(19,4)];
    [theText setFont:[NSFont fontWithName:@"Helvetica" size:14] range:NSMakeRange(72,6)];
    [theText setFont:[NSFont fontWithName:@"Helvetica" size:20] range:NSMakeRange(78,1)];
    
    [view addSubview: theText];

    return theText;
}

int
main(int argc, char **argv)
{
    NSRect rect;
    NSWindow *win;
    NSApplication *app = [NSApplication sharedApplication];
    NSText *text1,*text2;

    initializeDrawingEngine();

    /* Create a new window */
    
    rect.origin.x = 0;
    rect.origin.y = 0;
    rect.size.width = 400;
    rect.size.height = 300;

    win = [[NSWindow alloc] initWithContentRect:rect
			    styleMask:0
			    backing:NSBackingStoreBuffered
			    defer:NO];
    
    text1 = addText1([win contentView]);
    text2 = addText2([win contentView]);
    
    [win setTitle:@"NSText demo"];
    [win display];
    
    [app setMainWindow: win];
    [app run];

    return 0;
}