/*
 * Filename: buttons.m
 * Project:  Pascal's NSX Kit
 *
 * Author:   Stuart Croy
 * Date:     April 1997
 *
 * Purpose:  Show buttons and related stuff working
 *
 * Copyright (C) 1997 Free Software Foundation
 */


#include "NSGlobal.h"
#include "NSWindow.h"
#include "PXKDrawing.h"
#include "NSButtonCell.h"
#include "NSButton.h"
#include "NSApplication.h"
#include "NSMatrix.h"
#include "misc.h"

@interface MyController : NSObject
{
}

- (void)printMessage;
@end

@implementation MyController
- (void)printMessage;
{
    puts("MyController says Hello!");
}
@end

void addButton(NSWindow *win)
{
    MyController *controller = [[MyController alloc] init];
    
    NSRect aRect = {{10.0, 50.0}, {60.0, 24.0}};
    NSButton *aButton = [[NSButton alloc] initWithFrame: aRect];

    NSRect bRect = {{80.0, 50.0}, {60.0, 24.0}};
    NSButton *bButton = [[NSButton alloc] initWithFrame: bRect];

    NSRect cRect = {{10.0, 80.0}, {60.0, 24.0}};
    NSButton *cButton = [[NSButton alloc] initWithFrame: cRect];

    NSRect dRect = {{80.0, 80.0}, {60.0, 24.0}};
    NSButton *dButton = [[NSButton alloc] initWithFrame: dRect];
    
    NSRect eRect = {{150.0, 50.0}, {60.0, 24.0}};
    NSButton *eButton = [[NSButton alloc] initWithFrame: eRect];
    
    NSRect fRect = {{150.0, 80.0}, {60.0, 24.0}};
    NSButton *fButton = [[NSButton alloc] initWithFrame: fRect];
    
    NSRect gRect = {{220.0, 80.0}, {60.0, 24.0}};
    NSButton *gButton = [[NSButton alloc] initWithFrame: gRect];

    NSRect mulRect = {{220.0, 10.0}, {60.0, 40.0}};
    NSButton *mulButton = [[NSButton alloc] initWithFrame: mulRect];

    NSRect mf0 = {{250, 50}, {100, 100}};
    NSMatrix *mt0;
    
    [aButton setTarget: controller];
//    [aButton setAction: @selector(printMessage)];

//    mt0 = [[NSMatrix alloc] initWithFrame: mf0 mode: NSHighlightModeMatrix
//                           cellClass: [NSMenuCell class]
//                    numberOfRows: 5 numberOfColumns: 3];

    mt0 = [[NSMatrix alloc] initWithFrame: mf0 mode: NSRadioModeMatrix
                           cellClass: [NSButtonCell class]
                    numberOfRows: 2 numberOfColumns: 2];
//    [[win contentView] addSubview: mt0];

    [win setTitle:@"NSXKit Buttons"];


    [aButton setType: NSToggleButton];
    [aButton setTitle: @"Toggle"];
    [aButton setAlternateTitle: @"On"];
    [bButton setTitle: @"Push"];
    [[bButton cell]setAlignment: NSCenterTextAlignment];
    [bButton setTarget: controller];
    [bButton setAction: @selector(printMessage)];

    [cButton setType: NSOnOffButton];
    [cButton setTitle: @"OnOff"];
    [dButton setType: NSPushOnPushOffButton];
    [dButton setTitle: @"PushOff"];
    [dButton setAlternateTitle: @"PushOn"];
    [eButton setTitle: @"Change"];
    [eButton setType: NSMomentaryChangeButton];
    [fButton setTitle: @"Switch"];
    [fButton setType: NSSwitchButton];
    [gButton setTitle: @"Radio"];
    [gButton setType: NSRadioButton];
    [gButton setImagePosition: NSImageRight];

    [mulButton setTitle: @"Test"];
    [[mulButton cell]setAlignment: NSCenterTextAlignment];
    [mulButton setImage: [[NSImage alloc] init]];
    [mulButton setImagePosition: NSImageRight];
    [[mulButton cell] setEnabled: NO];
    [mulButton setEnabled: NO];

    [[win contentView] addSubview: aButton];
    [[win contentView] addSubview: bButton];
    [[win contentView] addSubview: cButton];
    [[win contentView] addSubview: dButton];
    [[win contentView] addSubview: eButton];
    [[win contentView] addSubview: fButton];
    [[win contentView] addSubview: gButton];
    [[win contentView] addSubview: mulButton];
    [win display];
}

int
main(int argc, char **argv)
{
    NSRect rect;
    int windowId;
    NSWindow *win;
    NSApplication *app = [NSApplication sharedApplication];

    initializeDrawingEngine();

    /* Create a new window */
    
    rect.origin.x = 0;
    rect.origin.y = 0;
    rect.size.width = 400;
    rect.size.height = 300;

    win = [[NSWindow alloc] initWithContentRect:rect
			    styleMask:0
			    backing:NSBackingStoreBuffered
			    defer:NO];
    
    windowId = [win windowNumber];

    addButton(win); // test NSButton

    [app setMainWindow: win];
    [app run];

    return 0;
}
